Name:           sslscan
Version:        1.11.8
Release:        %mkrel 1
Summary:        Fast SSL Scanner
Group:          Monitoring
License:        GPLv3+
URL:            https://github.com/rbsec/sslscan
Source0:        https://github.com/rbsec/sslscan/archive/%{name}-%{version}-rbsec.tar.gz
BuildRequires:  openssl-devel

%description
SSLScan queries SSL services, such as HTTPS, in order to determine the ciphers
that are supported. SSLScan is designed to be easy, lean and fast. The output
includes prefered ciphers of the SSL service, the certificate and is in Text
and XML formats.

%prep
%setup -q -n %{name}-%{version}-rbsec

%build
%make CFLAGS="%{optflags}" LDFLAGS="-lssl -lcrypto"

%install
install -D -m 755 sslscan %{buildroot}%{_bindir}/sslscan
install -D -m 644 sslscan.1 %{buildroot}%{_mandir}/man1/sslscan.1

%files
%doc Changelog LICENSE README.md TODO
%{_bindir}/%{name}
%{_mandir}/man1/sslscan.1*


%changelog
* Fri Dec 30 2016 guillomovitch <guillomovitch> 1.11.8-1.mga6
+ Revision: 1078647
- new version 1.11.8

* Tue Jul 26 2016 guillomovitch <guillomovitch> 1.11.7-1.mga6
+ Revision: 1043663
- new version 1.11.7

* Sun Apr 24 2016 guillomovitch <guillomovitch> 1.11.6-1.mga6
+ Revision: 1005891
- new version 1.11.6

* Thu Mar 03 2016 umeabot <umeabot> 1.10.2-5.mga6
+ Revision: 984140
- Rebuild for openssl

* Fri Feb 05 2016 umeabot <umeabot> 1.10.2-4.mga6
+ Revision: 936377
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.2-3.mga5
+ Revision: 742395
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.2-2.mga5
+ Revision: 689327
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 guillomovitch <guillomovitch> 1.10.2-1.mga5
+ Revision: 593697
- new version 1.10.2

* Tue Feb 04 2014 guillomovitch <guillomovitch> 1.10.1-1.mga5
+ Revision: 580756
- new version 1.10.1 (dinotools fork)

* Fri Oct 18 2013 umeabot <umeabot> 1.8.2-3.mga4
+ Revision: 518620
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.8.2-2.mga3
+ Revision: 382664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 20 2012 guillomovitch <guillomovitch> 1.8.2-1.mga3
+ Revision: 262112
- imported package sslscan

